<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Все комментарии';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
###############Если комменты выключены##########
if($setup['new_komm'] == 0) die('Not found');
###############если админ#########################


$error = false;

if($rights < "4"){
$error = true;
}

if($_SESSION['ipu'] != clean($ip)){
$error = true;
}
if(!$error AND intval($_GET['id'])){

$del = mysql_query('DELETE FROM `'.$setup['pref'].'komments` WHERE `id` = '.intval($_GET['id']).' LIMIT 1');
if($del) $say= '<font color="red">Пост успешно удален!</font><br/>';
else $say= '<font color="red">Ошибка запроса!</font><br/>'; 
}

###############Проверка#########################
$page = intval($_GET['page']);

$onpage = get2ses('onpage');
is_num($onpage,'onpage');


if($_GET['open']==1)  $endurl='&amp;open=1'; 
###############Получаем комменты###############
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'komments` ORDER BY `time` DESC LIMIT '.$setup['top_num']);
while($list_sw = mysql_fetch_array($query)){
$array_id[] = $list_sw['id'];
}
$all = sizeof($array_id);


###############Вывод комментов#######################
if($say) echo'<div class="menu"><strong>'.$say.'</strong></div>';
else echo'<div class="menu"><strong>Все комментарии</strong></div>';
//Страницы
$n = 0;
$pages = ceil($all/$onpage);
if($page>$pages or $page<=0) $page=1;
if(!$pages) $pages = 1;
if($page) $n = ($onpage*$page)-$onpage;
//Если комментов пока нет
if(!$all) echo '<div class="list1">На данный момент комментариев нет.<br/>Оставьте свой комментарий и станьте первым!</div><div>';
//Выводим комменты
for($i=1; $i<=$onpage; $i++)
{
if(!isset($array_id[$n]))
{
$n++;
continue;
}
$komments = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'komments` WHERE `id` = '.$array_id[$n]));
if(is_integer($n / 2)) $row = '<div class="list1">'; else $row = '<div class="list2">';
$d = mysql_fetch_assoc(mysql_query('SELECT `name` FROM `'.$setup['pref'].'files` WHERE `id` = '.$komments['file_id'].' LIMIT 1'));
echo $row.'К файлу:<a href="view.php?id='.$komments['file_id'].'">'.$d['name'].'</a></div>';
if(!$error){
$deladm= '|<a href="allkomm.php?id='.$array_id[$n].'"><font color="red"> Удалить</font></a>';
}
$komments['time'] = date('d.m.Y/H:i', $komments['time']); //Время
$komments['text'] = str_replace("\n", '<br/>',$komments['text']); //Текст
if($komments['user_id']){
$res = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'users` WHERE `id` = '.$komments['user_id']));
                $text = '<span class="gray">('.$komments['time'].')</span>'.$deladm.'<br/>'.$komments['text'];

print $row.show_user($res, 1, ($rights >= 6 && $rights >= $res['rights'] ? 1 : 0), $text, $post, ($rights >= 6 ? $subtext : '')).'</div>';
}else
print $row.'<b>Гость</b>: '.$komments['name'].' <span class="gray">('.$komments['time'].')</span>'.$deladm.'<br/>'.$komments['text'].'</div>';
$n++;
}

//Страницы
if($all) 
echo '<div class="phdr">Страницы: ';
$asd = $page - 2;
$asd2 = $page + 3;
if($asd<$all && $asd>0 && $page>3) echo ' <a href="allkomm.php?page=1&amp;id='.$id.$endurl.'">1</a> ... ';
for($i=$asd; $i<$asd2;$i++)
{
if($i<$all && $i>0)
{
if ($i > $pages ) break;
if ($page==$i) 	echo '<strong>['.$i.']</strong> ';
else echo '<a href="allkomm.php?page='.$i.'&amp;id='.$id.$endurl.'">'.$i.'</a> ';
}
}
if ($i <= $pages)
{
if($asd2<$all) echo ' ... <a href="allkomm.php?page='.$pages.'&amp;id='.$id.$endurl.'">'.$pages.'</a>';
}
echo '<br/>';

echo '</div>';
if(!$error) print '<div class="phdr"><li><a href="apanel.php">Админка</a></li></div>';
echo '<div class="bmenu">';
//------------------------------------------------------------------------------------------
echo '<li><a href="index.php?'.$endurl.'">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';
echo '</div>';
require_once ("moduls/foot.php");
?>